RanglerDeveloper
API referenceEndpointsConnect
GET
/v1/connect/connections/{connection_id}

Authorization

RanglerApiKey
X-API-Key<token>

In: header

Path Parameters

connection_id*Connection Id
Formatuuid

Query Parameters

client_user_id?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.rangler.co/v1/connect/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "institution_id": "c75f2c73-5ae4-4f1c-99c0-fc726cd41798",
  "client_user_id": "string",
  "environment": "test",
  "status": "active",
  "consent_scopes": [
    "string"
  ],
  "last_synced_at": "2019-08-24T14:15:22Z",
  "revoked_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "institution": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "auth_type": "string",
    "logo_url": "string",
    "supports_accounts": true,
    "supports_positions": true,
    "supports_transactions": true,
    "credential_fields": [
      {
        "name": "username",
        "label": "string",
        "input_type": "text",
        "autocomplete": "string",
        "placeholder": "string"
      }
    ]
  },
  "latest_sync": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9",
    "status": "pending",
    "trigger_source": "string",
    "accounts_count": 0,
    "positions_count": 0,
    "transactions_count": 0,
    "error_code": "string",
    "error_message": "string",
    "started_at": "2019-08-24T14:15:22Z",
    "completed_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "type": "unauthorized",
    "code": "unauthorized",
    "message": "Authentication required.",
    "request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
  }
}
{
  "error": {
    "type": "forbidden",
    "code": "forbidden",
    "message": "Paid access is required.",
    "request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
  }
}
{
  "error": {
    "type": "not_found",
    "code": "not_found",
    "message": "Company not found",
    "request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_error",
    "message": "Request validation failed",
    "request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
    "details": [
      {
        "type": "missing",
        "loc": [
          "query",
          "ticker"
        ],
        "msg": "Field required",
        "input": null
      }
    ]
  }
}
{
  "error": {
    "type": "rate_limit_exceeded",
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded",
    "request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
  }
}
{
  "error": {
    "type": "internal_server_error",
    "code": "internal_server_error",
    "message": "Internal Server Error",
    "request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
  }
}